libnvme(9)

NAME
enum nvme_id_ctrl_nvmsr - This field reports information associated with the NVM Subsystem, see &struct nvme_id_ctrl.nvmsr.

SYNOPSIS
enum nvme_id_ctrl_nvmsr {
NVME_CTRL_NVMSR_NVMESD ,
NVME_CTRL_NVMSR_NVMEE };

Constants

NVME_CTRL_NVMSR_NVMESD
    If set, then the NVM Subsystem is part of an NVMe Storage Device; if cleared, then the NVM Subsystem is not part of an NVMe Storage Device.

NVME_CTRL_NVMSR_NVMEE
    If set, then the NVM Subsystem is part of an NVMe Enclosure; if cleared, then the NVM Subsystem is not part of an NVMe Enclosure.